package com.jpsoft.shinestar.modules.base.dao;

import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.WatchInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface WatchInfoDAO {
	int insert(WatchInfo entity);
	int update(WatchInfo entity);
	int exist(String id);
	WatchInfo get(String id);
	int delete(String id);
	List<WatchInfo> list();
	List<WatchInfo> search(Map<String,Object> searchParams, List<Sort> sortList);
    WatchInfo findOneByDeviceNo(String deviceNo);
    int updateHeartBeatUpdateTime(String deviceNo, Date updateTime);
    WatchInfo findDefaultByPersonId(Long personId);
    List<WatchInfo> onlineList();
}